- title: Native Apps
  id: native-apps
  applications:
    - title: GitLab Control
      content: An iOS app for managing your GitLab projects on iPhone or iPad. GitLab Control gives you full access to your GitLab projects with the built in code viewer and search tools. You can fully navigate your code tree, issues, milestones and code snippets or search for any filenames, IDs or labels. You can also capture, organise and prioritise your team’s issues, and stay up-to-date using activity streams displaying commits, issues, and more across all repositories.
      links:
        - url: http://gitlabcontrol.com/
          title: gitlabcontrol.com
    - title: LabCoat
      content: GitLab client for Android, featuring full material design and allows for multiple accounts.
      links:
        - url: https://play.google.com/store/apps/details?id=com.commit451.gitlab&hl=en
          title: Play Store
        - url: https://gitlab.com/Commit451/LabCoat
          title: Repository on GitLab
    - title: Chrome GitLab Notifier
      content: Third party notifier for GitLab events (Commit, Issue, MergeRequest and Milestone).
      links:
        - url: https://chrome.google.com/webstore/detail/gitlab-notifier-for-googl/eageapgbnjicdjjihgclpclilenjbobi
          title: Chrome App Store
    - title: Working Copy
      content: Full featured Git client for iPhone and iPad.
      links:
        - url: http://WorkingCopyApp.com/
          title: workingcopyapp.com
    - title: Trident
      content: A beautiful GitLab client for iOS.
      links:
        - url: http://www.somerobots.com/
          title: somerobots.com
    - title: Octotree Browser Extension
      content: "Octotree adds a sidebar to GitLab with all files of the project
      you're looking at. Highly recommended."
      links:
        - url: https://chrome.google.com/webstore/detail/octotree/bkhaagjahfmjljalopjnoealnfndnagc/related
          title: Octotree on the Chrome Web Store
        - url: https://addons.mozilla.org/en-US/firefox/addon/octotree/
          title: Octotree on Mozilla Add-ons Store
        - url: https://addons.opera.com/en/extensions/details/octotree/
          title: Octotree on Opera Add-ons Store
        - url: https://github.com/buunguyen/octotree#install-on-safari
          title: Install Octotree on Safari
    - title: Git2Go
      content: The Git client for iPhone and iPad you always wanted
      links:
        - url: http://git2go.com
          title: git2go.com
    - title: Branches
      content: Branches is an iPhone and iPad app for managing issues in your GitLab repositories. The app also lets you browse commits, merge requests and files.
      links:
        - url: http://branchesapp.co
          title: branchesapp.co
    - title: Zulip
      content: Get notifications about your GitLab projects in Zulip. Zulip is the world's most productive group chat and the leading open source alternative to Slack. With Zulip, you don't have to choose between missing important conversations and wasting time reading irrelevant ones.
      links:
        - url: https://zulipchat.com/
          title: About Zulip
        - url: https://zulipchat.com/integrations/#gitlab
          title: Zulip's GitLab integration
- title: CLI Clients
  id: cli-clients
  applications:
    - title: Lab
      content: Lab wraps Git, making it simple to clone, fork, and interact with repositories on GitLab, including seamless workflows for creating merge requests, issues and snippets.
      links:
        - url: https://github.com/zaquestion/lab
          title: Repository on GitHub
    - title: Narkoz's Ruby wrapper & CLI
      content: Ruby wrapper and CLI for GitLab REST API.
      links:
        - url: https://github.com/NARKOZ/gitlab
          title: Repository on GitHub
    - title: "Numa08's lab"
      content: Git::Gitlab is a GitLab command line interface.
      links:
        - url: https://github.com/numa08/git-gitlab
          title: Repository on GitHub
    - title: Invantive Data Hub
      content: Invantive Data Hub is command-line driven software that is capable of executing Invantive Query Tool-compatible scripts across many databases and cloud platforms. Ideal for high volume data loads and extractions of cloud applications such as GitLab.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-data-hub#data-hub
          title: Invantive Data Hub
    - title: "Bor-sh's git-gitlab"
      content: Yet another GitLab command line interface.
      links:
        - url: https://gitlab.com/bor-sh/git-gitlab
          title: Repository on GitLab
    - title: Invantive Data Access Point
      content: Extend GitLab APIs by support for many additional communication protocols, including Microsoft Power BI.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-data-access-point#data-access-point
          title: Invantive Data Access Point
    - title: Post-Review
      content: Post a code review and merge request with one command
      links:
        - url: https://github.com/ericforbes/post-review
          title: Repository on GitHub
    - title: "GoTsunami's GitLab Copy Tool"
      content: Copy issues (with labels, milestones and notes) from one GitLab project to another, possibly running on different GitLab instances.
      links:
        - url: https://github.com/gotsunami/gitlab-copy
          title: Repository on GitHub
    - title: Zmo's git-repo
      content: |
        A tool to manage your remote repositories (create, fork, delete, clone,
        add remote…) for services like GitLab (but also GitHub and Bitbucket)
        that integrates as a Git subcommand.
      links:
        - url: https://gitlab.com/guyzmo/git-repo
          title: Repository on GitLab
        - url: https://pypi.python.org/pypi/git-repo
          title: Package on PyPI
        - url: https://github.com/guyzmo/git-repo
          title: Repository (and issues) on GitHub
        - url: https://bitbucket.org/guyzmo/git-repo
          title: Repository on Bitbucket
    - title: gitlab-cli
      content: |
        Copy global labels into a project or between projects on the same or
        different GitLab instances, edit or delete labels using a regex.
      links:
        - url: https://github.com/clns/gitlab-cli
          title: Repository on GitHub
    - title: GitLabCLI
      content: |
        It's a cross platform, self contained command line tool to
        quickly and naturally perform frequent tasks on GitLab projects.
      links:
        - url: https://github.com/nmklotas/GitLabCLI
          title: Repository on GitHub
- title: API Clients
  id: api-clients
  applications:
    - title: "Narkoz's Ruby wrapper & CLI"
      content: Ruby wrapper and CLI for GitLab REST API.
      links:
        - url: https://github.com/NARKOZ/gitlab
          title: Repository on GitHub
    - title: "gitlabr"
      content: R client for GitLab REST API.
      links:
        - url: https://gitlab.com/jirkalewandowski/gitlabr
          title: Development repository on GitLab.com
    - title: Perl
      content: Net::GitLab Perl Client talks to a GitLab installation via its API.
      links:
        - url: https://metacpan.org/release/AYOUNG/Net-Gitlab-0.05
          title: Repository on MetaCPAN
    - title: Perl
      content: Perl Client is a complete GitLab API v3 client.
      links:
        - url: https://metacpan.org/pod/GitLab::API::v3
          title: Distribution on MetaCPAN
        - url: https://github.com/bluefeet/GitLab-API-v3
          title: Repository on GitHub
    - title: Python
      content: Python GitLab is a Python wrapper for the GitLab API
      links:
        - url: https://github.com/gpocentek/python-gitlab
          title: Repository on GitHub
    - title: Python
      content: PyAPI-GitLab is a Python wrapper for the GitLab API.
      links:
        - url: https://github.com/Itxaka/pyapi-gitlab
          title: Repository on GitHub
    - title: Python
      content: libsaas_gitlab is a Python wrapper based on libsaas
      links:
        - url: https://gitlab.com/bor-sh-infrastructure/libsaas_gitlab
          title: Repository on GitLab
    - title: Go
      content: Go GitLab Client is a 100% complete GitLab API v4 (and v3) client.
      links:
        - url: https://github.com/xanzy/go-gitlab
          title: Repository on GitHub
    - title: Go
      content: Go GitLab Client for GitLab.
      links:
        - url: https://github.com/Bugagazavr/go-gitlab-client
          title: Repository on GitHub
    - title: Swift
      content: GitLabKit is an API client library for the GitLab API, written in Swift.
      links:
        - url: https://github.com/orih/GitLabKit
          title: Repository on GitHub
    - title: Backbone
      content: Backbone for GitLab is a Backbone client library for the GitLab API
      links:
        - url: https://github.com/oreillymedia/backbone-gitlab/
          title: Repository on GitHub
    - title: Node
      content: GitLab-Yaac (Node Package Manager) is aGitLab API client with more control over server response
      links:
        - url: https://www.npmjs.com/package/gitlab-yaac
          title: Repository on GitHub
    - title: Node
      content: Node GitLab is a GitLab API Node.js library.
      links:
        - url: https://github.com/moul/node-gitlab
          title: Repository on GitHub
    - title: PHP
      content: PHP-GitLab-API is aGitLab API client for PHP
      links:
        - url: https://github.com/m4tthumphrey/php-gitlab-api
          title: Repository on GitHub
    - title: Laravel
      content: Laravel GitLab is a Laravel bridge for GitLab
      links:
        - url: https://github.com/vinkla/gitlab
          title: Repository on GitHub
    - title: Java
      content: Java GitLab API is a wrapper for the GitLab API written in Java
      links:
        - url: https://github.com/timols/java-gitlab-api
          title: Repository on GitHub
    - title: Java
      content: GitLab4J-API is a full featured Java library for working with the GitLab API
      links:
        - url: https://github.com/gmessner/gitlab4j-api
          title: Repository on GitHub
        - url: http://www.messners.com/#gitlab4j-api/gitlab4j-api.html
          title: GitLab4J-API Homepage
    - title: .NET
      content: GitLabApiClient is a .NET client for GitLab.
      links:
        - url: https://github.com/nmklotas/GitLabApiClient
          title: Repository on GitHub
    - title: .NET
      content: GitLab.NET is a .NET library for GitLab's API.
      links:
        - url: https://www.nuget.org/packages/GitLab.NET/
          title: NuGet Package
        - url: https://gitlab.com/tstivers/GitLab.NET/
          title: Repository on GitLab
    - title: .NET
      content: NGitLab is a .NET client for GitLab.
      links:
        - url: https://github.com/Scooletz/NGitLab
          title: Repository on GitHub
    - title: PowerShell
      content: PSGitLab is a PowerShell module for interacting with the GitLab API.
      links:
        - url: http://www.powershellgallery.com/packages/PSGitLab/
          title: Package on PSGallery
        - url: https://github.com/ngetchell/PSGitLab
          title: Repository on GitHub
    - title: clj-gitlab
      content: clj-gitlab is a wrapper for the GitLab API written in Clojure.
      links:
        - url: https://gitlab.com/dzaporozhets/clj-gitlab
          title: Repository on GitLab.com
- title: Utilities
  id: utilities
  applications:
    - title: GitLab JIRA Integration
      content: Reference and close issues in JIRA directly from GitLab
      links:
        - url: https://docs.gitlab.com/ee/user/project/integrations/jira.html
          title: GitLab JIRA Integration
    - title: GitLabCalendar
      content: Push GitLab issue due dates to your Google Calendar
      links:
        - url: https://gitlabcalendar.kontrollfeld.com
          title: GitLab Google Calendar integration
    - title: Jell
      content: Link to GitLab issues in your daily standups
      links:
        - url: https://jell.com/gitlab
          title: Jell GitLab integration
    - title: Postman
      content: Back up and sync your Postman Collections to your GitLab projects with the Postman Pro to GitLab integration.
      links:
        - url: https://www.getpostman.com/docs/gitlab_integration
          title: Postman Pro to GitLab integration
    - title: BugMuncher
      content: 'Collect user feedback and bug reports on your website, which can be created as issues in a GitLab project. Information on how to integrate BugMuncher with GitLab can be found in the <a href="https://docs.bugmuncher.com/integrations/">BugMuncher Documentation</a>'
      links:
        - url: https://www.bugmuncher.com/
          title: BugMuncher User Feedback
    - title: Mirror a GitHub project to GitLab
      content: 'github2gitlab is a command line tool to mirror the git repository and the pull requests of a GitHub project to GitLab. As of version 7.7.0 GitLab also <a href="http://doc.gitlab.com/ce/workflow/importing/import_projects_from_github.html">includes a GitHub importer</a> that transfers issues and comments.'
      links:
        - url: https://pypi.python.org/pypi/github2gitlab
          title: Home Page
    - title: Usersnap
      content: Add annotated screenshots to every issue in GitLab. A picture paints a thousand words, so reproducing the bug gets as simple as possible.
      links:
        - url: https://usersnap.com/gitlab
          title: www.usersnap.com
    - title: GitLab Identity Connector
      content: 'Identity connector for GitLab written using ConnId framework. The
      connector can be used to access GitLab from <a href="http://midpoint.evolveum.com/">midPoint</a> identity management system.'
      links:
        - url: https://github.com/Evolveum/connector-gitlab
          title: Repository on GitHub
    - title: GitLab external user creator
      content: Web app which allows internal users to create new users for collaborators (as external users).
      links:
        - url: https://github.com/dolfim/gitlab_user_creator
          title: Repository on GitHub
    - title: GitLabForm
      content: GitLabForm is an easy "configuration as code" tool for GitLab using config in plain YAML.
      links:
        - url: https://github.com/egnyte/gitlabform
          title: Repository on GitHub
    - title: create-gitlab-repo
      content: Simple script creating a GitLab project from the local repository in the current directory.
      links:
        - url: https://gitlab.com/mcepl/create-gitlab-repo
          title: Repository
    - title: Invantive Control for Excel
      content: Download and upload facts to GitLab using the Excel add-in Invantive Control. The add-in provide businesses and organizations all the functionalities needed to make real-time management decisions.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-control#control
          title: Invantive Control for Excel
    - title: GitLab Listener
      content: JIRA add-on allowing the reception of GitLab push events using GitLab project webhooks.
      links:
        - url: https://marketplace.atlassian.com/plugins/com.allenta.jira.plugins.gitlab.gitlab-listener
          title: Atlassian Marketplace
    - title: Invantive Composition for Word
      content: Save money and time by merging data from GitLab with Word documents. The automatic generation and creation of documents increases business profit.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-composition#composition
          title: Invantive Composition for Word
    - title: GitLab IRC gateway
      content: 'IRC notifications using webhooks, implemented with the <a href="http://www.catb.org/esr/irker/">irker IRC bot</a>'
      links:
        - url: https://gitlab.com/anarcat/irklab
          title: Repository on gitlab.com
    - title: Envoyer
      content: Zero Downtime PHP Deployments.
      links:
        - url: https://envoyer.io/
          title: Envoyer.io
    - title: YouTrack
      content: When you type any YouTrack command in a VCS commit comment, it is applied to the issue associated with that commit.
      links:
        - url: https://www.jetbrains.com/youtrack/features/integrations.html
          title: YouTrack
    - title: Teamweek
      content: Teamweek gives you the simplicity of an Excel sheet in a web-based, multi-user environment. It helps you schedule, manage and share tasks.
      links:
        - url: https://teamweek.com/
          title: Teamweek
    - title: SwaggerHub
      content: SwaggerHub is an API development platform that allows users to quickly build, document and deploy their APIs using the Swagger framework. SwaggerHub’s GitLab integration lets users push-generate their API’s definition and code to the GitLab repository of their choice and keep them in sync, thus managing their API lifecycle in GitLab from a single source-of-truth.
      links:
        - url: https://app.swaggerhub.com/help/integrations/gitlab-sync
          title: SwaggerHub
    - title: Invantive Query Tool for SQL
      content: With the Invantive Query Tool is all the data, stored in GitLab, available on demand. It empowers to execute queries, capture and analyze data and create business reports in real-time.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-query-tool#query-tool
          title: Invantive Query Tool for SQL
    - title: WakaTime
      content: Fully automatic time tracking generated from your programming activity in your editor.
      links:
        - url: https://wakatime.com/integrations
          title: WakaTime
    - title: Toggl
      content: Time tracker that is built for speed and ease of use.
      links:
        - url: https://www.toggl.com/tools
          title: Toggl
    - title: emacs-gitlab
      content: A REST client to the GitLab API with an Emacs HELM interface
      links:
        - url: https://github.com/nlamirault/emacs-gitlab
          title: emacs-gitlab
    - title: Review Board
      content: A web-based collaborative code review tool
      links:
        - url: https://www.reviewboard.org/
          title: Review Board
    - title: Online SQL Editor
      content: Business Intelligence via any web browser and platform. By login in with the GitLab credentials easily extract, organize and analyze data, stored in the cloud of GitLab.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-online-sql-editor#online-sql-editor
          title: Online SQL Editor
    - title: TMetric
      content: Easy time management tool which helps to track all your working activity in GitLab. Follow GitLab time tracking instruction to start using TMetric.
      links:
        - url: https://tmetric.com/help/integrations/gitlab-time-tracking/
          title: GitLab time tracking
    - title: Stitch
      content: Stitch is a simple, powerful ETL service built for developers.
      links:
        - url: https://www.stitchdata.com/
          title: ETL Tool
    - title: MergeRequestsCI
      content: A web-based tool to see all merge requests of your team in one place
      links:
        - url: https://hexanet.gitlab.io/MergeRequestsCI
          title: Hosted version on GitLab Pages
        - url: https://gitlab.com/hexanet/MergeRequestsCI
          title: Repository on gitlab.com
        - url: https://github.com/Hexanet/MergeRequestsCI
          title: Repository on GitHub
    - title: Hubstaff
      content: Time tracking with screenshots and activity levels for GitLab issues. Issues sync automatically to native apps for Mac, Windows, Linux, iPhone and Android.
      links:
        - url: https://hubstaff.com/gitlab_time_tracking
          title: Integration
        - url: https://www.youtube.com/watch?v=bCJkMiN1hVw
          title: Video walk-through
        - url: http://support.hubstaff.com/gitlab-time-tracking-integration/
          title: Support
    - title: GitPitch - Slideshow Presentations for Developers
      content: No more PowerPoint. No more Keynote. Just Markdown. Then Git-Commit.
      links:
        - url: https://gitpitch.com
          title: GitPitch Website
        - url: https://gitlab.com/gitpitch/gitpitch
          title: GitPitch Repo on GitLab
        - url: https://github.com/gitpitch/gitpitch/wiki
          title: GitPitch Wiki
    - title: Raygun
      content: Raygun is a Software Intelligence Platform that provides crash reporting and real user monitoring to thousands of software teams. The integration with GitLab provides functions for creating issues and linking directly back to your source code.
      links:
        - url: https://raygun.com
          title: Raygun Website
        - url: https://raygun.com/docs/plugins/gitlab
          title: Integration setup instructions
        - url: https://raygun.com/blog/2016/06/raygun-and-gitlab/
          title: Raygun and GitLab make deployment easier
    - title: Git Integration for JIRA Cloud/Server
      content: View GitLab Commits in JIRA Issues and Projects. Native support for GitLab CE/EE and GitLab.com - fast and easy connection between JIRA and GitLab.
      links:
        - url: https://marketplace.atlassian.com/plugins/com.xiplink.jira.git.jira_git_plugin/
          title: Atlassian Marketplace
        - url: https://bigbrassband.com/integration-guide/jira-gitlab.html
          title: GitLab + JIRA Integration guide
        - url: "https://bigbrassband.com/documentation.html#add_gitlab_server"
          title: GitLab integration documentation
    - title: Zapier
      content: Zapier allows you to connect almost any application to almost any other application, GitLab included.
      links:
        - url: https://zapier.com/zapbook/gitlab/
          title: GitLab Integration for Zapier
    - title: TaskTop
      content: TaskTop allows you to integrate GitLab with ITSM tools such as ServiceNow and Zendesk, or Agile Planning tools such as CA Agile Central, JIRA, LeanKit, or VersionOne.
      links:
        - url: https://www.tasktop.com/blog/support-for-gitlab-servicenow-express-and-modern-requirements4tfs-now-available/
          title: TaskTop GitLab integration
    - title: Serverless Microsoft Teams Connector
      content: Easily integrate MS Teams with GitLab to notify you on merge requests and issues.
      links:
        - url: https://github.com/svtek/serverless-microsoft-teams-gitlab-connector
          title: Serverless Microsoft Teams Connector
    - title: Autosync Asana - GitLab by Unito
      content: 2-way sync to Asana, connecting assignee, due date, & more. Filter syncs for custom workflows.
      links:
        - url: https://unito.io/sync/gitlabcom/asana?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=asana
          title: Unito.io
    - title: Autosync Wrike - GitLab by Unito
      content: 2-way sync to Wrike, connecting assignee, due date, & more. Filter syncs for custom workflows.
      links:
        - url: https://unito.io/sync/gitlabcom/wrike?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=wrike
          title: Unito.io
    - title: Autosync Basecamp - GitLab by Unito
      content: 2-way sync to Basecamp, connecting assignee, due date, & more. Filter syncs for custom workflows.
      links:
        - url: https://unito.io/sync/gitlabcom/basecamp?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=basecamp
          title: Unito.io
    - title: Autosync BitBucket - GitLab by Unito
      content: Simplify bug management between repos. Powerful filters can sync a few issues or the whole repo!
      links:
        - url: https://unito.io/sync/gitlabcom/bitbucket?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=bitbucket
          title: Unito.io
    - title: Autosync GitHub - GitLab by Unito
      content: Simplify bug management between repos. Powerful filters can sync a few issues or the whole repo!
      links:
        - url: https://unito.io/sync/gitlabcom/github?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=github
          title: Unito.io
    - title: GitLab Issue Sync by Unito
      content: Simplify bug management between repos. Powerful filters can sync a few issues or the whole repo!
      links:
        - url: https://unito.io/sync/gitlabcom/gitlabcom?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=gitlab
          title: Unito.io
    - title: Cosango GitLab Reports
      content: Small open source app to easily create milestone and time tracking reports in GitLab
      links:
        - url: http://gitlabreports.cosango.com/
          title: App
        - url: https://gitlab.com/cosango/gitlabreports
          title: Source
    - title: GitMate.io
      content: GitMate.io is a tool for automatic issue triaging. It helps you to spend less time sorting and prioritizing your issues.
      links:
        - url: https://GitMate.io/
          title: GitMate.io
    - title: Relution
      content: Integrate GitLab with Relution for distributing and managing multiple iOS and/or Android mobile applications built with GitLab CI/CD. You can use Relution to set up Git repositories and CI/CD pipelines for your projects on your GitLab infrastructure.
      links:
        - url: 'https://www.relution.io'
          title: "Relution website"
        - url: 'https://www.relution.io/en/insights-news/automate-app-projects/'
          title: "GitLab + Relution integration overview"
        - url: 'http://repo.relution.io/package/latest/manual.html#development-hub'
          title: "Relution documentation"
    - title: Instabug
      content: Receive detailed bug reports and in-app feedback reported by your users and beta testers from your mobile app directly to GitLab.
      links:
        - url: https://instabug.com/integrations/gitlab
          title: Instabug + GitLab integration overview
    - title: Status Hero
      content: Automatically include GitLab activity within the daily or weekly team status reports produced by Status Hero.
      links:
        - url: https://statushero.com/integrations/gitlab
          title: Status Hero GitLab integration
- title: Continuous Integration
  id: continuous-integration
  applications:
    - title: GitLab CI
      content: GitLab Continuous Integration (CI) integrates with your GitLab installation to run tests for your projects. Login with GitLab account, add a project with one click and enjoy running your tests. GitLab CI is on-premises software that you can install and use on your server(s) and is supported by GitLab the company.
      links:
        - url: /features/gitlab-ci-cd/
          title: GitLab CI
    - title: Bitrise
      content: Hosted Continuous Integration and Delivery service for mobile apps. Craft powerful workflows to automate build, testing, deployment and feedback cycles to have more time for actual coding, while having constant overview about the state of your app.
      links:
        - url: https://www.bitrise.io
          title: Bitrise.io
    - title: BuildKite
      content: BuildKite runs builds on GitLab commits, either on self-hosted GitLab repositories or GitLab.com.
      links:
        - url: https://buildkite.com/docs/guides/gitlab
          title: BuildKite
    - title: Codeship
      content: Hosted Continuous Integration & Delivery with native Docker support that allows to fully customize your CI environment
      links:
        - url: https://codeship.com/gitlab
          title: Codeship Continuous Integration with GitLab
    - title: Jenkins
      content: We support Jenkins through the Jenkins GitLab plugin.
      links:
        - url: http://doc.gitlab.com/ee/integration/jenkins.html
          title: Jenkins CI integration
    - title: Magnum CI
      content: Hosted Continuous Integration and Delivery Platform
      links:
        - url: http://blog.magnum-ci.com/post/55149963415/integration-with-gitlab
          title: Magnum CI Integration with GitLab
    - title: Shippable
      content: |
        Shippable is the one solution you need to automate your application
        delivery pipelines, with the flexibility to work with your existing
        tools, processes and infrastructure.
      links:
        - url: http://docs.shippable.com/ht_using_gitlab/
          title: Shippable GitLab integration
    - title: StriderCD
      content: StriderCD is an open-source continuous integration tool that integrates well with GitLab.
      links:
        - url: http://strider.readthedocs.org/en/latest/intro.html
          title: StriderCD
    - title: TeamCity
      content: One reason TeamCity is dubbed an "Intelligent CI server" is its approach to integration. You get all this support without installing any plugins and with no modifications to build scripts.
      links:
        - url: https://www.jetbrains.com/teamcity/features/
          title: TeamCity
    - title: buddybuild
      content: Integrating buddybuild to any GitLab account automates the process of setting up and configuring a continuous integration and deployment system for your mobile projects. Connecting buddybuild also unlocks features like merge requests, updated commit status, automatic team member provisioning and more.
      links:
        - url: https://www.buddybuild.com/blog/buddybuild-gitlab-integration
          title: buddybuild
    - title: Terraform
      content: HashiCorp Terraform Enterprise provides integration with version control systems (VCS) to facilitate collaboration on infrastructure as code.
      links:
        - url: https://www.hashicorp.com/blog/announcing-terraform-enterprise-integration-for-gitlab/
          title: Terraform
- title: CMS Plugins
  id: cms-plugins
  applications:
    - title: Drupal Plugin
      content: Connect your Drupal site to a GitLab instance using web services. This is purely an API module. You should only enable it if another module requires it or if you want to build code against this API.
      links:
        - url: https://www.drupal.org/project/gitlab
          title: www.drupal.org
    - title: Dropfort
      content: Dropfort helps you to organize your Drupal projects and manage your sites in one simple interface.
      links:
        - url: http://dropfort.com
          title: www.dropfort.com
    - title: Confluence
      content: This plugin aims to provide a connection between Confluence and your GitLab server instance. It enables you to view issues, builds, merge requests and project information with simple to use macros.
      links:
        - url: https://rumpelcoders.atlassian.net/wiki/display/PLUG/GitLab+Connector+Plugin
          title: GitLab Connector Plugin
- title: GUI Git Clients
  id: gui-git-clients
  applications:
    - title: All GUI Clients
      content: All Git GUI Clients from all companies are compatible with GitLab.
      links:
        - url: http://git-scm.com/downloads/guis
          title: http://git-scm.com/downloads/guis
    - title: Git Tower
      content: Easy version control in a beautiful, efficient, and powerful app for Windows and macOS.
      links:
        - url: http://www.git-tower.com/
          title: www.git-tower.com
    - title: Eclipse
      content: 'Eclipse has the Egit Team provider that also supports GitLab. <a href="https://projects.eclipse.org/projects/technology.egit">Eclipse Git Team Provider</a> <a href="http://wiki.eclipse.org/EGit/User_Guide#Working_with_remote_Repositories">Working with remote repositories</a>'
    - title: JetBrains
      content: Lets you interact with gitlab from within your IDE.
      links:
        - url: https://plugins.jetbrains.com/plugin/7447?pr=idea
          content: JetBrains integration plugin
    - title: Visual Studio
      content: The Visual Studio IDE provides built-in source control integration for Git.
      links:
        - url: https://visualstudio.com/
          title: www.visualstudio.com
    - title: GitKraken
      content: The downright luxurious Git client for Windows, Mac & Linux.
      links:
        - url: https://www.gitkraken.com/
          title: GitKraken.com
    - title: PhpStorm
      content: This IDE for the PHP programming language has a GitLab plugin.
      links:
        - url: https://plugins.jetbrains.com/plugin/7319?pr=phpStorm
          title: Plugin on the Jetbrains site
- title: Performance Measurements
  id: performance-measurements
  applications:
    - title: AppSignal
      content: 'AppSignal <a href="http://blog.appsignal.com/blog/2015/01/20/gitlab-integration.html">support GitLab</a> and can monitor both Rails and Sidekiq.'
      links:
        - url: https://appsignal.com/
          title: appsignal.com
    - title: Opbeat
      content: Application monitoring for developers with Git integration for faster debugging.
      links:
        - url: https://opbeat.com/
          title: opbeat.com
        - url: https://opbeat.com/docs/articles/gitlab-integration/
          title: GitLab integration
    - title: Munin Plugins
      content: Plugins for monitoring a GitLab instance with munin.
      links:
        - url: https://github.com/MatthiasLohr/munin-plugins-gitlab
          title: Plugins on GitHub
    - title: Blackfire.io
      content: Blackfire enables you to automate the performance testing and profiling of your code any time you modify it.
      links:
        - url: https://blackfire.io
          title: Blackfire.io
        - url: https://blackfire.io/docs/integrations/gitlab
          title: Gitlab integration documentation
    - title: Rollbar
      content: Rollbar's real-time error monitoring <a href="https://rollbar.com/blog/rollbar-integration-for-gitlab/">integrates with GitLab</a> providing a fast and frictionless debugging experience with deep links to source code and issue tracking.
      links:
        - url: https://rollbar.com/
          title: Rollbar
    - title: Logzio
      content: Logz.io is an intelligent log analysis platform that combines the open source ELK Stack as a cloud service, with advanced machine learning, to help users gain insight into their data. The integration with GitLab enables easy shipping of GitLab logs into Logz.io, for monitoring, analysis and visualization.
      links:
       - url: https://logz.io
         title: Logz.io
       - url: https://logz.io/blog/monitoring-gitlab-elk-stack/
         title: Integration instructions
- title: Login
  id: login
  applications:
    - title: OAuth2 service provider
      content: Using the OAuth2 service provider to sign into other services.
      links:
        - url: https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/integration/oauth_provider.md
          title: GitLab as OAuth2 authentication service provider
    - title: PHP OAuth2 client
      content: Let users of your application authenticate through a public or private GitLab instance.
      links:
        - url: https://packagist.org/packages/omines/oauth2-gitlab
          title: GitLab Provider for the PHP League OAuth 2.0 Client
- title: Scrum Boards
  id: scrum-boards
  applications:
    - title: Taiga.io
      content: Free. Open Source. Powerful. Taiga is a project management platform for startups and agile developers and designers who want a simple, beautiful tool that makes work truly enjoyable.
      links:
        - url: https://taiga.io/
          title: Taiga.io
    - title: Kanboard
      content: 'A free, open source and self-hosted visual task board software.
      GitLab events can be connected to Kanboard''s automatic actions through <a href="http://kanboard.net/documentation/gitlab-webhooks">GitLab webhooks</a> and <a href="http://kanboard.net/documentation/gitlab-authentication">GitLab authentication</a>'
      links:
        - url: http://kanboard.net
          title: kanboard.net
    - title: Scrumdo
      content: ScrumDo, your Process Improvement Partner, has seamless and frictionless integration of important development events right into cards on your Scrum or Kanban board.  Make the true status of work from customer requests through to code a reality with ScrumDo and Gitlab side by side.
      links:
        - url: https://app.scrumdo.com
          title: Scrumdo
    - title: GitLab Kanban
      content: Self hosted kanban board built from the ground up using the GitLab public API. Kanban issues are GitLab issues and the user permissions are respected.
      links:
        - url: http://kanban.leanlabs.io/
          title: Kanban.Leanlabs.io
    - title: Vivify Scrum
      content: "A project management tool that is Scrum and Kanban compatible. Intuitive and efficient. Built for software developers by software developers. Let's you focus on what matters."
      links:
        - url: https://www.vivifyscrum.com/
          title: Vivify Scrum
    - title: Autosync Trello - GitLab by Unito
      content: 2-way sync to Trello, connecting assignee, due date, & more. Filter syncs for custom workflows.
      links:
        - url: https://unito.io/sync/gitlabcom/trello?utm_source=gitlab&utm_medium=marketplace&utm_campaign=&utm_content=trello
          title: Unito.io
- title: Built with GitLab
  id: built-with-gitlab
  applications:
    - title: La fabrique de la loi
      content: 'This site <a href="http://www.lafabriquedelaloi.fr/a-propos.html">uses GitLab</a> to store French laws in git and make the lawmaking process visual.'
      links:
        - url: http://www.lafabriquedelaloi.fr/articles.html?loi=pjl12-689
          title: lafabriquedelaloi.fr
    - title: Perforce Helix GitSwarm
      content: Perforce Helix GitSwarm is a git collaboration tool built on GitLab.
      links:
        - url: http://www.perforce.com/git
          title: perforce.com/git
    - title: O'Reilly Atlas
      content: 'Technical publisher O''Reilly Media has build their own frontend on top of a GitLab backend. They published a <a href="https://www.youtube.com/watch?v=IHEbYsaKW9Y&feature=youtu.be">video of the app</a> <a href="https://github.com/oreillymedia/backbone-gitlab/">Backbone for GitLab API library</a> they developed for this.'
      links:
        - url: https://atlas.oreilly.com/
          title: atlas.oreilly.com
    - title: Penflip
      content: 'This authoring site for writing books is <a href="https://twitter.com/madebyloren/status/468917323588698112">built with a fork of GitLab.</a>'
      links:
        - url: https://www.penflip.com/
          title: penflip.com
- title: Translation Tools
  id: translation-tools
  applications:
    - title: Crowdin
      content: 'A web-based solution for developers created to streamline the localization process. Easy file sync between GitLab repository and a localization project in Crowdin. Provides translators and managers with an advanced tooling set.
      GitLab uses Crowdin to <a href="http://translate.gitlab.com/">add and support multiple languages</a>.'
      links:
        - url: "https://crowdin.com/"
          title: Crowdin website
        - url:  "https://support.crowdin.com/gitlab-integration/"
          title: GitLab integration documentation
    - title: POEditor
      content: Collaborative translation platform and localization management software. The integration with GitLab connects the translations in POEditor projects with language files in GitLab repos, simplifying translation management and syncronization.
      links:
        - url: https://poeditor.com/
          title: POEditor
        - url: https://poeditor.com/help/how_to_translate_a_language_file_from_a_gitlab_project
          title: GitLab Integration
- title: Security
  id: security
  applications:
    - title: Snyk
      content: Snyk continuously monitors your application's dependencies and lets you quickly respond when new vulnerabilities are disclosed.
      links:
        - url: "https://snyk.io/"
          title: snyk.io
        - url:  "https://snyk.io/gitlab/"
          title: GitLab integration